# Fork-Lifting VMs on vm0.sea.rg.net from ESXI to Debian with Ganeti

With much help from [https://nsrc.org/workshops/2014/sanog23-virtualization/raw-attachment/wiki/Agenda/ex-ganeti-install.htm](https://nsrc.org/workshops/2014/sanog23-virtualization/raw-attachment/wiki/Agenda/ex-ganeti-install.htm).

And [And https://nsrc.org/workshops/2014/sanog23-virtualization/wiki/Agenda](https://nsrc.org/workshops/2014/sanog23-virtualization/wiki/Agenda) is also helpful.

------

First, record disk and memory allocation for each VM, configured size, not utilization.

| Hostname                     | RAM  | Disk  | MAC               | MD5                              |
| :--------------------------- | ---- | ----- | ----------------- | -------------------------------- |
| adrilankha.hactrn.net        | 4G   | 200G  | 00:0c:29:be:72:5b | f4566ff7105e84dabcb3f6cd2ff40ab0 |
| archive.psg.com              | 1G   | 100G  | 00:0c:29:6e:06:f4 | 69b5cc1318707977b08ff8d7767af816 |
| hiroshima.bogus.com          | 4G   | 250G  | 00:0c:29:75:01:b7 | 3a5f2130a23679962526a9ec5f90e8a8 |
| linear.algebras.org          | 1G   | 100G  | 00:0c:29:b7:6a:60 | 11548e21ef24236b599cdb64878c37ac |
| nagasaki.bogus.com           | 4G   | 256G  | 00:0c:29:6b:64:e3 | 3f4b06082516e89a8e7dcb5e6bb072a7 |
| okui.psg.com                 | 1G   | 100G  | 00:0c:29:89:e3:60 | aabd3b496a131e8f516a3c541a04a78f |
| r1.securerouting.org         | 2G   | 100G  | 00:0c:29:46:0e:b6 | a108b9201bf853868f9c462513af3c20 |
| rip1.psg.com                 | 2G   | 36G   | 00:0c:29:60:fe:bb | ce7da43bbcc25ed2b45a4458aaaf943c |
| turing.worldpowersystems.com | 2G   | 256G* | 00:0c:29:b7:21:6e | 03dce3e51df1d3e2fe880fbd852cf9e5 |
| zoe.dns.gh                   | 4G   | 200G  | 00:0c:29:9e:36:a2 | 86c24decf3c0a46aa830586d0df2ca74 |
| zzyzx.sigpipe.org            | 2G   | 100G  | 00:0c:29:bf:79:86 | 7eef30eb2de95e5d38d491b78df0c9cb |

## Users Hack Configuration Aspects Which Will Change

Disk and Network Interface naming may change from the ESXI guest environment to the Ganeti/KVM environment.  Owners of gusts should make config changes just before shutting down their machines.  Thus, when they come back up in the new environment they will boot usefully.

### Linux Guests Should Need No Modification

Linux Guests should be able to find their disks as UUIDs and mount as /dev/sdaN.  And Ethernet seems to be a pretty constant eth0.

### FreeBSD Guests May Need Modification

Do not do this.  There seems to be a hack around it, see below.

FreeBSD guests seem to use /dev/ada for the disk drives

```
root@fbsd0:~ # more /etc/fstab
# Device        Mountpoint      FStype  Options Dump    Pass#
/dev/ada0p2     /               ufs     rw      1       1
/dev/ada0p3     none            swap    sw      0       0
```

FreeBSD drives on ESXI seem to be /dev/da.  So users will have to change their /etc/fstab just before the fork-lift.  s/da/ada/g

The FreeBSD Ethernet interface seems to be em0 on ESXI and on KVM

```
root@fbsd0:~ # ifconfig 
em0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
        options=209b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,WOL_MAGIC>
        ether 52:54:00:ad:71:03
        inet 198.180.150.10 netmask 0xffffff00 broadcast 198.180.150.255
        inet6 fe80::5054:ff:fead:7103%em0 prefixlen 64 scopeid 0x2 
        nd6 options=29<PERFORMNUD,IFDISABLED,AUTO_LINKLOCAL>
        media: Ethernet autoselect (1000baseT <full-duplex>)
        status: active
```

As ESXI and KVM seem to be the same, it should require no change.

## Copy VMs to an NFS Mounted Filesystem

Create a /data/nfs directory on raid1.psg.com and NFS export it to vm0.sea using hacks/advice from:

- [Exporting NFS from FreeBSD ](http://myitnotes.info/doku.php?id=en:jobs:freebsd_zfs_nfs_for_vmware)
- [A really disgusting and unsafe hack to disable syncs to speed up NFS writes ](https://www.ateamsystems.com/tech-blog/solved-performance-issues-with-freebsd-zfs-backed-esxi-storage-over-nfs/)

Mount raid1.psg.com:/data/nfs on vm0.sea.rg.net as an NFS datastore.

Stop and power off all guest VMs on vm0.sea.rg.net.

Record the md5 checksum of each and every guest VM .vmdk file.

Use VMware vSphere Client on my laptop to move each guest VM from vm0.sea.rg.net:datastore1 to the NFS datastore.

Take the md5 checksum of each and every .vmdk file on the NFS datastore  and compare to that of the original from vm0.sea.rg.net:datastore1.

It is now safe to destroy and rebuild vm0.sea.rg.net

## Build a Debian/Ganeti System on vm0.sea.rg.net

Boot into Adaptec BIOS and configure the four drives as one RAID5. The hack to get an INSert key on the MacBook? is Windows, Accessories, Access, Keyboard

### Install Debian

- Boot Debian CD/ISO
- Choose Install
- Choose English, UK (so you can get UCT)
- Choose American English
- Name the host
- Choose root password
- Choose user name and password
- Partition
  - Choose Manual Partitioning
  - Select the drive
  - Create new empty partition table
  - Select Free Space
  - Create new partition, primary, 1GB, begining, bios
  - Done
  - Select Free Space
  - Create new partition, primary, 256MGB, begining, /boot, ext4, bootable
  - Done
  - Select Free Space again
  - Create a new partition
  - Accept whatever size is shown (the rest of the disk)
  - Primary, physical volume for LVM
  - Done
- Configure LVM
  - Configure LVM accepting write changes to disks
  - Create volume group
    - Volume group name: ganeti
    - Devices for the new volume group: select only the LVM partition 
  - Create Logical Volume: on ganeti, root, 8G
  - Create Logical Volume: on ganeti, swap, 16G
  - Create Logical Volume: on ganeti, var, 8G
  - Edit the Logical Volumes to be ext4 /, swap, and ext4 /var
  - Finish partitioning and write changes
- Finish partitioning and write changes to disk

- Be sure it will not boot CD-ROM, and Reboot from the installed system

## Finish Debian Installation

Clean up from CDROM sources

```
vi /etc/apt/sources.list
```

and delete the two CDROM entries at the top

Install homey things (it's not a computer without emacs:)

```
apt-get update
apt-get upgrade
apt-get install emacs23-nox
apt-get install rsync
apt-get install gcc
apt-get install bridge-utils vlan
apt-get install sudo
apt-get install unbound
apt-get install tw_cli   ***********
usermod -G sudo -a randy
```

Fix hostname

```
echo vm0.sea.rg.net > /etc/hostname
hostname `cat /etc/hostname`
```

Fix /etc/unbound/unbound.conf

```
        access-control: 127.0.0.0/8 allow
        access-control: 147.28.0.0/16 allow
        access-control: 198.180.150.0/24 allow
        access-control: 198.180.152.0/24 allow
        access-control: 0.0.0.0/0 refuse
        access-control: ::1 allow
        access-control: ::ffff:127.0.0.1 allow
        access-control: 2001:418:1::0/48 allow
        access-control: 2001:418:3807::0/48 allow
        access-control: 2001:418:8006::0/48 allow
        access-control: ::0/0 refuse
```

[Install Unattended Upgrading](http://www.howtoforge.com/how-to-configure-automatic-updates-on-debian-squeeze)

## Debian Ganeti Specific Configuration

Edit /etc/hosts to have the real address of the host, e.g.

```
127.0.0.1       localhost
147.28.0.3      vm0.sea.rg.net  vm0
147.28.0.100    gnt0.sea.rg.net
```

### Fix /etc/network/interfaces

Make eth0 hang off of whatever your bridge will be called

```
# The loopback network interface
auto lo
iface lo inet loopback

# Management interface
auto eth0
iface eth0 inet manual

auto br-lan
iface br-lan inet static
        address         147.28.0.3
        netmask         255.255.255.0
        gateway         147.28.0.1
        bridge_ports    eth0
        bridge_stp      off
        bridge_fd       0
        bridge_maxwait  0

# VLAN 100
auto eth0.100
iface eth0.100 inet manual

auto br-rep
iface br-rep inet static
        address         147.28.0.100
        netmask         255.255.255.0
        bridge_ports    eth0.100
        bridge_stp      off
        bridge_fd       0
        bridge_maxwait  0

auto eth0.255
iface eth0.255 inet manual

# VLAN 255
auto br-svc
iface br-svc inet manual
        bridge_ports    eth0.255
        bridge_stp      off
        bridge_fd       0
        bridge_maxwait  0
```

Check /etc.resolv.comf

In theory, this looks like

```
               -------------+--------------
                            |
                          br-lan 
                            |         this host
                  +---------+---------+
                  |        eth0       |
                  |                   |
                  |eth0.255   eth0.100|
                  +--+-----------+----+
                     |           |
                   br-svc      br-rep
                     |           |
         VMs --------+           +------> to other ganeti hosts
```

## Install Ganeti

Set up to get Ganeti from backports

```
cat > /etc/apt/sources.list.d/wheezy-backports.list
deb http://cdn.debian.net/debian/ wheezy-backports main
```

And then install it

```
apt-get update
apt-get install ganeti/wheezy-backports
```

Fix up drbd

```
echo "options drbd minor_count=128 usermode_helper=/bin/true" > /etc/modprobe.d/drbd.conf
rmmod drbd      # ignore any error
modprobe drbd
```

### Initialize and Build Ganeti Cluster

```
gnt-cluster init \
  --master-netdev=br-lan \
  --enabled-hypervisors=kvm \
  -H kvm:kernel_path="",initrd_path="" \
  -N link=br-lan \
  --vg-name=ganeti \
  gnt0.sea.rg.net
```

If it barfs, try

```
gnt-cluster destroy --yes-do-it
```

then re-run gnt-cluster init ...

If you get into gnutls problems check apt-get upgrade and dist-upgrade

### Check That CLuster is Happy

Fix VNC passwording

```
echo '4titude' > /etc/ganeti/vnc-cluster-password
gnt-cluster modify -H kvm:vnc_password_file=/etc/ganeti/vnc-cluster-password
```

Test that the cluster was built happily

```
gnt-cluster verify
```

If you get

```
Fri Mar 14 05:20:55 2014   - ERROR: node deb64.psg.com: volume ganeti/root is unknown
Fri Mar 14 05:20:55 2014   - ERROR: node deb64.psg.com: volume ganeti/swap is unknown
Fri Mar 14 05:20:55 2014   - ERROR: node deb64.psg.com: volume ganeti/var is unknown
```

That's OK.  To make it go away

```
gnt-cluster modify --reserved-lvs=ganeti/root,ganeti/swap,ganeti/var
```

## Load the ESXI Images

Make a LV for the ESXI images

```
lvcreate --size 2TB --name nfs-data ganeti
mkfs.ext4 /dev/ganeti/nfs-data
mkdir /nfs-data
mount /dev/ganeti/nfs-data /nfs-data
```

Copy over the data from raid1.  rsync and scp are compute bound.  nfs and ftp may be the best choices

### Install Ganeti Instance Management

Install ganeti-instance-image

```
wget https://code.osuosl.org/attachments/download/2169/ganeti-instance-image_0.5.1-1_all.debcd
dpkg -i ganeti-instance-image_0.5.1-1_all.deb
```

Install qemu utilities (though they likely came in with other installs)

```
apt-get install qemu-utils
```

And force latest version of qemu-image

```
apt-get install qemu-utils/wheezy-backports
```

Aside: if you also want ganeti-instance-debootstrap then version 0.14 is now in wheezy-backports. You don't need to install from source.  You'll only want ganeti-instance-debootstrap to create images from scratch where it installs Debian or a Debian-related OS automatically.

### Create the Guest VM Instances

For each VM, run the following:

```
#!/bin/sh

# makeVM diskGB ramGB nameFQDN

DISK=$1
RAM=$2
NAME=$3
NODE=vm0.sea.rg.net

gnt-instance add \
     -t plain \
     -o image+default \
     -s ${DISK}G \
     -B minmem=${RAM}G,maxmem=$((${RAM}*2))G \
     -n $NODE \
     -H kvm:vnc_bind_address=0.0.0.0 \
     --no-install \
     --no-start \
     --no-ip-check \
     --no-name-check \
     ${NAME}
```

This produces

```
vm0.sea.rg.net:/root# ./do-add 200 4 <instance-name>
Tue Apr 22 23:15:35 2014 * disk 0, size 200.0G
Tue Apr 22 23:15:35 2014 * creating instance disks...
Tue Apr 22 23:15:38 2014 adding instance <instance-name> to cluster config
Tue Apr 22 23:15:38 2014  - INFO: Waiting for instance <instance-name> to sync disks
Tue Apr 22 23:15:39 2014  - INFO: Instance <instance-name>'s disks are in sync
```

If it is a FreeBSD VM, also do

```
gnt-instance modify -H disk_type=scsi <instance-name>
```

so that da devices still work at boot.

Get the UUIDs of all VMs, and fill out the table.

```
gnt-instance list -o name,disk.uuid/0
```

### Get the Stored VM VMDK Files from Backup

As root

```
mkdir -p /store/esxi-vms
rsync -vPaHxRSz raid1.psg.com:/data/nfs/<vmname> /store/esxi-vms
```

Again, compare the MD5 checksums of the vmdk files with that of the the originals.

### Convert the ESXI Images to Ganeti Guest Images

```
gnt-instance info --all | egrep 'Instance name|on primary'
```

Will show the primary device for each ganeti VM

```
      on primary: /dev/xenvg/95d2bb8f-063f-498d-b98a-9c03acea991f.disk0 (252:2)
```

which we use as the output UUID

Check the type of image we have

```
qemu-img info <vmdk-filename>
```

### If it is a Flat Raw Image

For -flat.vmdk files, you should be able to

```
dd bs=4096k if=<vmdk-filename> of=/dev/ganeti/<disk0 from gnt-instance info>
```

### If it is a Real VMDK

For -s001.vmdk files, then you should be able, for each VMDK 

```
qemu-img convert -f vmdk -O raw <input_file> <output UUID>
```

## Try the VMs!

You can use the built in console or come over VNC 9over ssh, of course).

Start the image

```
gnt instance start <image name>
```

And come im over the text console or VNC

### Direct Text Console

```
gnt-instance console <image name>
```

### Over VNC for Graphics

```
gnt-instance list -o +network_port
```

To get

```
Instance     Hypervisor OS            Primary_node  Status  Memory Network_port
minibsd-test kvm        image+default deb64.psg.com running   256M 11001
```

Then run a VNC to the base system port number in that report e.g. 11001, e.g. (notice port 11001)

```
ssh -N -L 5900:127.0.0.1:11001 vm0.sea.rg.net
```

And get ready to start your VNC session (in this case, I would be using Chicken of the VNC to VNC display localhost:0, aka localhost port 5900).

To give each user a different password, do it at the instance level:

```
echo 'wombat' >/etc/ganeti/vnc-password-<username>
gnt-instance modify -H vnc_password_file=/etc/ganeti/vnc-password-<username> foobar
```

Or make a directory /etc/ganeti/passwords and stash them there.

## If FreeBSD Does Not Mount Root

If the system boots but does did not mount the root filesystem, and leaves you at the mountroot prompt.  It seems as if FreeBSD

> /dev/da0p2

may become

> /dev/vtbd0p2

If you do the mountroot to

```
ufs:/dev/vtbd0p2
```

the root mounts and the system comes up.  

sra reminds us that it is good idea to do an fsck of / at single user, before enabling write to the / filesystem.

Of course, the filesystem will be image dependent.

## Optionally Convert plain to drbd

For each instance

```
$ gnt-instance stop <instance name>
$ gnt-instance modify \
    -t drbd \
    --no-wait-for-sync \
    <instance name>
$ gnt-instance start <instance name>
```

------

## The ESXI Images as of 2014.04.18

```
/vmfs/volumes/4d794907-845289f0-6305-003048d66e3b # ls -lh *
ISOs:
-rw-------    1 root     root       690.6M Apr 16  2011 FreeBSD-8.2-RELEASE-amd64-disc1.iso
-rw-------    1 root     root       612.1M Mar  8  2012 FreeBSD-9.0-RELEASE-amd64-disc1.iso
-rw-------    1 root     root       684.2M Apr 20  2011 ubuntu-10.04.2-server-amd64.iso

Patches:
-rw-------    1 root     root       202.1M Mar 10  2011 ESXi410-201010001.zip
-rw-------    1 root     root        85.7M Mar 10  2011 ESXi410-201011001.zip
-rw-------    1 root     root       205.0M Jul 19  2011 ESXi410-201104001.zip
-rw-------    1 root     root       205.8M Jul 19  2011 update-from-esxi4.1-4.1_update01.zip

Zoe 147.28.0.23:
-rw-------    1 root     root         4.0G Aug 20  2012 Zoe 147.28.0.23-cc6d5f9f.vswp
-rw-------    1 root     root       200.0G Apr 19 00:58 Zoe 147.28.0.23-flat.vmdk
-rw-------    1 root     root         8.5k Mar  7 02:28 Zoe 147.28.0.23.nvram
-rw-------    1 root     root          504 Jul  7  2011 Zoe 147.28.0.23.vmdk
-rw-r--r--    1 root     root            0 Jul  7  2011 Zoe 147.28.0.23.vmsd
-rwxr-xr-x    1 root     root         2.8k Feb 21  2012 Zoe 147.28.0.23.vmx
-rw-r--r--    1 root     root          270 Mar  8  2012 Zoe 147.28.0.23.vmxf
-rw-r--r--    1 root     root        45.7k Feb 21  2012 vmware-10.log
-rw-r--r--    1 root     root        46.6k Feb 21  2012 vmware-11.log
-rw-r--r--    1 root     root        56.5k Feb 21  2012 vmware-12.log
-rw-r--r--    1 root     root        45.3k Aug 18  2012 vmware-13.log
-rw-r--r--    1 root     root        71.4k Feb 20  2012 vmware-8.log
-rw-r--r--    1 root     root        45.6k Feb 20  2012 vmware-9.log
-rw-r--r--    1 root     root        45.5k Feb 12 03:05 vmware.log

adrilankha.hactrn.net:
-rw-------    1 root     root         4.0G Aug 20  2012 adrilankha.hactrn.net-597d4fbe.vswp
-rw-------    1 root     root       256.0G Apr 19 00:58 adrilankha.hactrn.net-flat.vmdk
-rw-------    1 root     root         8.5k Apr 19 00:40 adrilankha.hactrn.net.nvram
-rw-------    1 root     root          484 Jul 16  2011 adrilankha.hactrn.net.vmdk
-rw-r--r--    1 root     root            0 Jul 16  2011 adrilankha.hactrn.net.vmsd
-rwxr-xr-x    1 root     root         2.9k May 16  2012 adrilankha.hactrn.net.vmx
-rw-r--r--    1 root     root          276 Mar 16 18:11 adrilankha.hactrn.net.vmxf
-rw-r--r--    1 root     root        44.0k Jul 16  2011 vmware-1.log
-rw-r--r--    1 root     root        70.7k Jul 17  2011 vmware-2.log
-rw-r--r--    1 root     root       322.9k May 16  2012 vmware-3.log
-rw-r--r--    1 root     root       121.1k Aug  8  2012 vmware-4.log
-rw-r--r--    1 root     root        55.4k Aug 20  2012 vmware-5.log
-rw-r--r--    1 root     root       548.3k Apr  8 05:11 vmware.log

apnicrpki.rand.apnic.net:
-rw-------    1 root     root         1.0G Apr 10  2013 apnicrpki.rand.apnic.net-c157c72e.vswp
-rw-r--r--    1 root     root         6.7G Apr 19 00:58 apnicrpki.rand.apnic.net-s001.vmdk
-rw-------    1 root     root         8.5k Mar 19 03:20 apnicrpki.rand.apnic.net.nvram
-rw-------    1 root     root          717 Mar 11  2011 apnicrpki.rand.apnic.net.vmdk
-rw-r--r--    1 root     root            0 Mar 11  2011 apnicrpki.rand.apnic.net.vmsd
-rwxr-xr-x    1 root     root         2.7k Mar 11  2011 apnicrpki.rand.apnic.net.vmx
-rw-r--r--    1 root     root          279 Mar 11  2011 apnicrpki.rand.apnic.net.vmxf
-rw-r--r--    1 root     root        99.1k Apr 17  2011 vmware-1.log
-rw-r--r--    1 root     root        61.0k Apr 30  2011 vmware-2.log
-rw-r--r--    1 root     root        83.6k Jul 15  2011 vmware-3.log
-rw-r--r--    1 root     root        60.9k Aug  1  2011 vmware-4.log
-rw-r--r--    1 root     root       164.1k Aug 18  2012 vmware-5.log
-rw-r--r--    1 root     root        68.2k Aug 20  2012 vmware-6.log
-rw-r--r--    1 root     root       152.1k Apr 16 13:32 vmware.log

archive.psg.com:
-rw-------    1 root     root         1.0G Apr  8  2013 archive.psg.com-7275f553.vswp
-rw-------    1 root     root       100.0G Apr 19 00:57 archive.psg.com-flat.vmdk
-rw-------    1 root     root         8.5k Apr 19 00:46 archive.psg.com.nvram
-rw-------    1 root     root          478 Jun 26  2011 archive.psg.com.vmdk
-rw-r--r--    1 root     root            0 Jun 26  2011 archive.psg.com.vmsd
-rwxr-xr-x    1 root     root         2.7k Jun 26  2011 archive.psg.com.vmx
-rw-r--r--    1 root     root          270 Jun 26  2011 archive.psg.com.vmxf
-rw-r--r--    1 root     root       119.6k Jun 27  2011 vmware-1.log
-rw-r--r--    1 root     root        44.3k Jul 15  2011 vmware-2.log
-rw-r--r--    1 root     root       184.6k Jan 23  2012 vmware-3.log
-rw-r--r--    1 root     root        48.0k Aug 20  2012 vmware-4.log
-rw-r--r--    1 root     root        70.5k Apr  8 08:16 vmware.log

hiroshima.bogus.com:
-rw-------    1 root     root         4.0G Aug 20  2012 hiroshima.bogus.com-e1c80ccb.vswp
-rw-------    1 root     root       250.0G Apr 19 00:58 hiroshima.bogus.com-flat.vmdk
-rw-------    1 root     root         8.5k Apr 16 08:31 hiroshima.bogus.com.nvram
-rw-------    1 root     root          482 Mar 18  2011 hiroshima.bogus.com.vmdk
-rw-r--r--    1 root     root            0 Mar 18  2011 hiroshima.bogus.com.vmsd
-rwxr-xr-x    1 root     root         3.0k Aug  1  2011 hiroshima.bogus.com.vmx
-rw-r--r--    1 root     root          274 Aug  1  2011 hiroshima.bogus.com.vmxf
-rw-r--r--    1 root     root       160.4k Jul  2  2011 vmware-2.log
-rw-r--r--    1 root     root       266.3k Jul  4  2011 vmware-3.log
-rw-r--r--    1 root     root       119.5k Jul 15  2011 vmware-4.log
-rw-r--r--    1 root     root       106.6k Aug  1  2011 vmware-5.log
-rw-r--r--    1 root     root        47.5k Aug  1  2011 vmware-6.log
-rw-r--r--    1 root     root        47.0k Aug 18  2012 vmware-7.log
-rw-r--r--    1 root     root        45.8k Apr 17 10:44 vmware.log

linear.algebras.org:
-rw-------    1 root     root         1.0G Mar  8  2013 linear.algebras.org-3e70db4c.vswp
-rw-------    1 root     root       100.0G Apr 19 00:56 linear.algebras.org-flat.vmdk
-rw-------    1 root     root         8.5k Mar  8  2012 linear.algebras.org.nvram
-rw-------    1 root     root          482 Mar  8  2012 linear.algebras.org.vmdk
-rw-r--r--    1 root     root            0 Mar  8  2012 linear.algebras.org.vmsd
-rwxr-xr-x    1 root     root         2.9k Mar  8  2012 linear.algebras.org.vmx
-rw-r--r--    1 root     root          274 Mar  8  2012 linear.algebras.org.vmxf
-rw-r--r--    1 root     root        57.7k Mar  8  2012 vmware-1.log
-rw-r--r--    1 root     root        60.5k Aug 20  2012 vmware-2.log
-rw-r--r--    1 root     root        95.8k Jan 15 04:00 vmware.log

nagasaki.bogus.com:
-rw-------    1 root     root         2.0G Mar 15 07:21 nagasaki.bogus.com-8a19c006.vswp
-rw-------    1 root     root       256.0G Apr 19 00:58 nagasaki.bogus.com-flat.vmdk
-rw-------    1 root     root         8.5k Apr 19 00:55 nagasaki.bogus.com.nvram
-rw-------    1 root     root          504 Mar 21  2011 nagasaki.bogus.com.vmdk
-rw-r--r--    1 root     root            0 Mar 18  2011 nagasaki.bogus.com.vmsd
-rwxr-xr-x    1 root     root         3.3k Mar 15 07:21 nagasaki.bogus.com.vmx
-rw-r--r--    1 root     root          273 Mar 15 07:21 nagasaki.bogus.com.vmxf
-rw-r--r--    1 root     root       113.6k Apr 28  2011 vmware-15.log
-rw-r--r--    1 root     root        85.3k Jul  2  2011 vmware-16.log
-rw-r--r--    1 root     root        54.0k Jul 15  2011 vmware-17.log
-rw-r--r--    1 root     root        54.6k Aug  1  2011 vmware-18.log
-rw-r--r--    1 root     root        57.5k Aug 18  2012 vmware-19.log
-rw-r--r--    1 root     root       130.7k Mar 15 07:19 vmware-20.log
-rw-r--r--    1 root     root        47.2k Mar 15 07:32 vmware.log

okui.psg.com:
-rw-------    1 root     root         1.0G Apr 10  2013 okui.psg.com-22fd1f29.vswp
-rw-------    1 root     root       100.0G Apr 19 00:57 okui.psg.com-flat.vmdk
-rw-------    1 root     root         8.5k Apr 19 00:36 okui.psg.com.nvram
-rw-------    1 root     root          475 Mar  8  2012 okui.psg.com.vmdk
-rw-r--r--    1 root     root            0 Mar  8  2012 okui.psg.com.vmsd
-rwxr-xr-x    1 root     root         2.7k Mar  8  2012 okui.psg.com.vmx
-rw-r--r--    1 root     root          267 Mar  8  2012 okui.psg.com.vmxf
-rw-r--r--    1 root     root        55.2k Mar  8  2012 vmware-1.log
-rw-r--r--    1 root     root        59.9k Aug 20  2012 vmware-2.log
-rw-r--r--    1 root     root       270.2k Mar 18 00:36 vmware.log

r1.securerouting.org:
-rw-------    1 root     root         2.0G Apr 10  2013 r1.securerouting.org-66616b62.vswp
-rw-------    1 root     root       100.0G Apr 19 00:58 r1.securerouting.org-flat.vmdk
-rw-------    1 root     root         8.5k Mar 13 02:28 r1.securerouting.org.nvram
-rw-------    1 root     root          483 Jun 14  2011 r1.securerouting.org.vmdk
-rw-r--r--    1 root     root            0 Jun 14  2011 r1.securerouting.org.vmsd
-rwxr-xr-x    1 root     root         2.8k Oct 28  2011 r1.securerouting.org.vmx
-rw-r--r--    1 root     root          275 Jun 14  2011 r1.securerouting.org.vmxf
-rw-r--r--    1 root     root       129.9k Jul 10  2011 vmware-1.log
-rw-r--r--    1 root     root        55.6k Jul 15  2011 vmware-2.log
-rw-r--r--    1 root     root       132.2k Oct 28  2011 vmware-3.log
-rw-r--r--    1 root     root       303.8k Jun 15  2012 vmware-4.log
-rw-r--r--    1 root     root        59.0k Aug 18  2012 vmware-5.log
-rw-r--r--    1 root     root       254.3k Mar 13 02:29 vmware.log

rip1.psg.com:
-rw-------    1 root     root         2.0G Apr  9  2013 rip1.psg.com-1bb03eed.vswp
-rw-------    1 root     root        36.0G Apr 19 00:58 rip1.psg.com-flat.vmdk
-rw-------    1 root     root         8.5k Apr 19 00:32 rip1.psg.com.nvram
-rw-------    1 root     root          505 Mar 11  2011 rip1.psg.com.vmdk
-rw-r--r--    1 root     root            0 Mar 11  2011 rip1.psg.com.vmsd
-rwxr-xr-x    1 root     root         2.7k Mar 18  2011 rip1.psg.com.vmx
-rw-r--r--    1 root     root          267 Mar 18  2011 rip1.psg.com.vmxf
-rw-r--r--    1 root     root       125.3k Apr 14  2011 vmware-4.log
-rw-r--r--    1 root     root        44.4k Apr 18  2011 vmware-5.log
-rw-r--r--    1 root     root        44.3k Apr 30  2011 vmware-6.log
-rw-r--r--    1 root     root        44.2k Jul 15  2011 vmware-7.log
-rw-r--r--    1 root     root       125.9k Jan 24  2012 vmware-8.log
-rw-r--r--    1 root     root        47.5k Aug 20  2012 vmware-9.log
-rw-r--r--    1 root     root        57.7k Nov 27  2012 vmware.log

turing.wps.com:
-rw-------    1 root     root         2.0G Apr 10  2013 turing.wps.com-2cfaf03a.vswp
-rw-------    1 root     root       100.0G Apr 19 00:58 turing.wps.com-flat.vmdk
-rw-------    1 root     root         8.5k Apr 19 00:55 turing.wps.com.nvram
-rw-------    1 root     root          477 Apr 20  2011 turing.wps.com.vmdk
-rw-r--r--    1 root     root            0 Apr 20  2011 turing.wps.com.vmsd
-rwxr-xr-x    1 root     root         2.7k Apr 20  2011 turing.wps.com.vmx
-rw-r--r--    1 root     root          269 Apr 20  2011 turing.wps.com.vmxf
-rw-r--r--    1 root     root       154.1k Apr 29  2011 vmware-1.log
-rw-r--r--    1 root     root       396.1k May 26  2011 vmware-2.log
-rw-r--r--    1 root     root        56.1k Jul 15  2011 vmware-3.log
-rw-r--r--    1 root     root        59.2k Feb 28  2012 vmware-4.log
-rw-r--r--    1 root     root        56.8k Feb 28  2012 vmware-5.log
-rw-r--r--    1 root     root        58.6k Aug 18  2012 vmware-6.log
-rw-r--r--    1 root     root        58.7k Dec  1 10:42 vmware.log

zzyzx.sigpipe.org:
-rw-r--r--    1 root     root        77.5k Jun 13  2011 vmware-1.log
-rw-r--r--    1 root     root       133.0k Jun 13  2011 vmware-2.log
-rw-r--r--    1 root     root        56.1k Jul 15  2011 vmware-3.log
-rw-r--r--    1 root     root        55.6k Aug  1  2011 vmware-4.log
-rw-r--r--    1 root     root        58.9k Aug 18  2012 vmware-5.log
-rw-r--r--    1 root     root       145.3k Jan  2 18:49 vmware.log
-rw-------    1 root     root         2.0G Oct 24  2012 zzyzx.sigpipe.org-45c519e0.vswp
-rw-------    1 root     root       100.0G Apr 19 00:58 zzyzx.sigpipe.org-flat.vmdk
-rw-------    1 root     root         8.5k Apr 19 00:57 zzyzx.sigpipe.org.nvram
-rw-------    1 root     root          480 Jun 13  2011 zzyzx.sigpipe.org.vmdk
-rw-r--r--    1 root     root            0 Jun 13  2011 zzyzx.sigpipe.org.vmsd
-rwxr-xr-x    1 root     root         2.8k Jun 13  2011 zzyzx.sigpipe.org.vmx
-rw-r--r--    1 root     root          272 Jun 13  2011 zzyzx.sigpipe.org.vmxf
```
